PETSc version 3.15.5
Fix/Edit manual page

# PetscInfoGetClass

Indicates whether the provided classname is marked as a filter in PetscInfo() as set by PetscInfoSetClasses()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoGetClass(const char *classname, PetscBool *found)

Not Collective

### Input Paramater

| classname | - Name of the class to search for

### Output Parameter

| found | - PetscBool indicating whether the classname was found

### Notes

Use PetscObjectGetName() to retrieve an appropriate classname

### See Also

PetscInfo(), PetscInfoSetClasses(), PetscInfoSetFromOptions(), PetscObjectGetName()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages